<template>
  <div class="container">
    <Chart :data="result" />
    <button @click="changeData">Change Data</button>
  </div>
</template>

<script>
import { Chart } from '../components/Chart'

export default {
  components: { Chart },
  data() {
    return {
      result: [
        {
          name: 'Yes',
          value: 100,
        },
        {
          name: 'No',
          value: 50,
        },
      ],
    }
  },

  methods: {
    changeData() {
      this.result = [
        {
          name: 'Yes',
          value: 100,
        },
        {
          name: 'No',
          value: 300,
        },
      ]

      // another way to modify data
      // this.result[1].value += 10
    },
  },
}
</script>

<style></style>
